Retail Express API 2.1

Searches Product Types by parameters

Searches Product Types by parameters

get
https://api.retailexpress.com.au/v2.1/producttypes

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Types data

ProductType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producttypes
 
application/json

Creates new Product Type entity in the system

Sample request:

POST /producttypes
{
   "name": "ProductTypeName"
}
post
https://api.retailexpress.com.au/v2.1/producttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

New Product Type was created

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

post/producttypes

Body

{}
 
application/json

Gets specific Product Type by unique id

Gets specific Product Type by unique id

get
https://api.retailexpress.com.au/v2.1/producttypes/{id}

Path Parameters

idinteger(int32)required

Product Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Type

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

get/producttypes/{id}
 
application/json

purchaseorderreceipts

Creates Purchase Order Receipt

Sample request:

POST /purchaseorderreceipts 
{ 
    "purchase_order_id": 1,
    "purchase_order_receipt_items": [ 
     { 
        "purchase_order_item_id": 3, 
        "stock_receipt_id": 1,
        "quantity_received": 3,
        "quantity_faulty": 1,
        "quantity_invoiced": 1,
        "buy_price_ex": 1.1,
        "unit_discount_ex": 1.1,
        "direct_costs_ex": 1.1,
        "bin": "bin",
        "include_tax": true,
        "variance_reason": {
            "id": 1,
            "name": "variance reason name"
        },
        "notes": "notes",
        "supplier_invoice_number": "sample invoice number"
    }]
}
post
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Purchase Order Receipt

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Purchase Order Receipt created

PurchaseOrderReceipts

Purchase order receipts model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order receipts identifier

purchase_order_idinteger | null(int32)

Purchase order identifier

purchase_order_receipt_itemsarray | null[object]

Purchase order receipt item

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoicesarray | null[object]

Purchase order receipt supplier invoices

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoice_numberstring | null

Supplier invoice number (max length = 50)

statusstring

Allowed values:AvailableIn ProgressFinalised

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified On

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
made_available_onstring | null(date-time)

Made available on

made_available_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber | null(double)

Total buy price ex

total_products_receivedinteger | null(int32)

Total products received

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_expectedinteger | null(int64)

Total quantity expected

total_quantity_faultyinteger | null(int64)

Total quantity faulty

total_quantity_received_varianceinteger | null(int64)

Total quantity received variance

total_quantity_invoicedinteger | null(int64)

Total quantity invoiced

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

total_direct_costs_exnumber | null(double)

Total direct costs ex

total_cogs_exnumber | null(double)

Total cogs ex

total_cogs_incnumber | null(double)

Total cogs inc

post/purchaseorderreceipts

Body

{}
 
application/json